Bug 1311549 - [abrt] plasma-systemsettings: QQuickItemPrivate::sceneGraphContext(): systemsettings5 killed by SIGSEGV
[abrt] plasma-systemsettings: QQuickItemPrivate::sceneGraphContext(): systems...
Status: NEW
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6ec69ab78ccc21f8efcb7962281...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 07:51 EST by Peter Gervase
Modified: 2017-11-16 10:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.57 KB, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details
File: core_backtrace (7.55 KB, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details
File: dso_list (19.31 KB, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details
File: environ (2.02 KB, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details
File: maps (88.93 KB, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details
File: mountinfo (3.43 KB, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details
File: open_fds (1.20 KB, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details
File: var_log_messages (327 bytes, text/plain)
2016-02-24 07:51 EST, Peter Gervase
no flags Details

  None (edit)
Description Peter Gervase 2016-02-24 07:51:23 EST
Description of problem:
I unsuspended my system from overnight, but one of my external monitors didn't get used. I went to the system settings program to see if there was an issue. Just a second after I clicked on the monitors, I had this issue. 

It's fairly common where the one monitor doesn't get recognized when I unsuspend. The external monitor that's plugged directly into my laptop's vga port always works and it's always the monitor that's plugged into the dock's video port that's using a dvi adapter that will not get recognized. If I do a full init 0 at night and then power up in the morning, all monitors get detected 100% of the time. 

Version-Release number of selected component:
plasma-systemsettings-5.5.4-2.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/systemsettings5
crash_function: QQuickItemPrivate::sceneGraphContext
executable:     /usr/bin/systemsettings5
global_pid:     7812
kernel:         4.5.0-0.rc5.git0.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QQuickItemPrivate::sceneGraphContext at /usr/include/qt5/QtQuick/5.6.0/QtQuick/private/qquickitem_p.h:877
 #1 QQuickStyleItem::updatePaintNode at /usr/src/debug/qtquickcontrols-opensource-src-5.6.0-rc/src/controls/Private/qquickstyleitem.cpp:1830
 #2 QQuickWindowPrivate::updateDirtyNode at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/quick/items/qquickwindow.cpp:3025
 #3 QQuickWindowPrivate::updateDirtyNodes at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/quick/items/qquickwindow.cpp:2770
 #4 QQuickWindowPrivate::syncSceneGraph at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/quick/items/qquickwindow.cpp:379
 #5 QSGGuiThreadRenderLoop::renderWindow at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/quick/scenegraph/qsgrenderloop.cpp:390
 #6 QSGGuiThreadRenderLoop::exposureChanged at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/quick/scenegraph/qsgrenderloop.cpp:441
 #7 QWindow::event at kernel/qwindow.cpp:2096
 #8 QQuickWindow::event at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/quick/items/qquickwindow.cpp:1473
 #9 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3714
Comment 1 Peter Gervase 2016-02-24 07:51:29 EST
Created attachment 1130209 [details]
File: backtrace
Comment 2 Peter Gervase 2016-02-24 07:51:30 EST
Created attachment 1130210 [details]
File: cgroup
Comment 3 Peter Gervase 2016-02-24 07:51:31 EST
Created attachment 1130211 [details]
File: core_backtrace
Comment 4 Peter Gervase 2016-02-24 07:51:32 EST
Created attachment 1130212 [details]
File: dso_list
Comment 5 Peter Gervase 2016-02-24 07:51:33 EST
Created attachment 1130213 [details]
File: environ
Comment 6 Peter Gervase 2016-02-24 07:51:34 EST
Created attachment 1130214 [details]
File: exploitable
Comment 7 Peter Gervase 2016-02-24 07:51:35 EST
Created attachment 1130215 [details]
File: limits
Comment 8 Peter Gervase 2016-02-24 07:51:37 EST
Created attachment 1130216 [details]
File: maps
Comment 9 Peter Gervase 2016-02-24 07:51:38 EST
Created attachment 1130217 [details]
File: mountinfo
Comment 10 Peter Gervase 2016-02-24 07:51:39 EST
Created attachment 1130218 [details]
File: namespaces
Comment 11 Peter Gervase 2016-02-24 07:51:40 EST
Created attachment 1130219 [details]
File: open_fds
Comment 12 Peter Gervase 2016-02-24 07:51:41 EST
Created attachment 1130220 [details]
File: proc_pid_status
Comment 13 Peter Gervase 2016-02-24 07:51:42 EST
Created attachment 1130221 [details]
File: var_log_messages
Comment 14 Peter Gervase 2016-02-24 08:17:42 EST
I just tried to reopen the system settings application. It opened fine, but when I clicked on the Display and Monitor, it again failed. That prompted me to start writing this update. For doing that, I opened the system settings a third time to verify my steps. This time, rather than clicking on Display and Monitor, I clicked on Device Actions and it again failed. I again opened the system settings and this time I clicked on Startup and Shutdown, and that worked fine. I clicked on Color in the Appearance group at the top and that worked. Clicking on Systemd at the bottom worked, too. I clicked on a number of options and they all worked. I even clicked on Device Actions and a few others in that group. They all worked until I got to Multimedia which failed. It seems like Multimedia and the Display and Monitor will always cause it to fail, but the others will do that only sometimes. I changed the view style to by list and I was then able to go to hardware, Display and Monitor, then compositor. That worked fine. When I clicked on Display Configuration, it crashed again. For Multimedia, I can click on Audio and Video, but if I click on Audio Volume, it crashes.
Comment 15 Jan Kurik 2016-07-26 00:58:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 16 Fedora End Of Life 2017-11-16 10:17:05 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.